Software prerequisites - Metasys - LIT-12011530 - Supervisory Device - NAE85 Network Automation Engine - 12.0

NAE85 Installation and Upgrade Guide

Brand
Metasys
Product name
NAE85 Network Automation Engine
Document type
Installation Guide
Document number
LIT-12011530
Version
12.0
Revision date
2022-05-20
Product status
Active
Language
English

The installation or upgrade of the NAE85 software requires one of the following 64-bit Windows operating systems:

  • Windows® 10 Pro and Windows 10 Enterprise Editions versions 2004, 21H1, and 21H2 (64-bit). For all future Windows 10 updates after version 21H2, we will evaluate and certify that Metasys software can support the updates before we provide guidance on support.

  • Windows® Server® 2019 (version 1809 or later) (64-bit)

  • Windows® Server® 2016 (version 1607 or later) (64-bit)

    Note: The Microsoft Server operating system software requires licenses called Client Access Licenses (CALs). You need to purchase the CALs separately. For more information on CALs, refer to the Microsoft Windows operating system and SQL Server software license requirements section of the Network and IT Guidance Technical Bulletin (LIT-12011279).

We strongly advise that you do not browse to the Metasys Site Management Portal (SMP) UI or the Metasys UI from a computer running a server-class operating system. Open the SMP UI or the Metasys UI from a client computer that is not running a server-class OS.

Table 1. Release 12.0 Host OS and SQL support

Operating System/SQL Server Software

SQL Server 2019 Express CU14 (64-bit)

SQL Server 2017 Express with CU27 (64-bit)

SQL Server 2016 Express SP2 CU17 (64-bit)

SQL Server 2019 CU14 (64-bit)

SQL Server 2017 with CU27 (64-bit)

SQL Server 2016 SP2 CU17 (64-bit)

Windows 10 Pro and Windows 10 Enterprise Editions (version 2004, 21H1, and 21H2) (64-bit)

X

X

X

     

Windows Server 2019 (version 1809 or later) (64-bit)

     

X

X

X

Windows Server 2016 (version 1607 or later) (64-bit)

     

X

X

X

Table 2. Components installed and not installed by the Metasys server

Windows® components installed

Metasys products installed

Components and products not installed

  • Microsoft Internet Information Services (IIS)
  • Microsoft .NET Framework 4.7.2
  • Microsoft Visual C++ Runtime Libraries
  • Microsoft Message Queuing (MSMQ)
  • Microsoft SQL Server® 2017 Express CU17 64-bit (on Windows 10 OS when no SQL instance is present)
  • Microsoft .NET Framework 3.5.1
  • Erlang OTP 23.2
  • RabbitMQ Server 3.8.16
  • GraphDB
  • NAE85 software at Release 12.0
  • Metasys UI Release 6.0
  • Launcher 2.0
  • Software Manager Release 3.0
  • Metasys system databases
  • SQL Server software (full version)
  • SQL Server Management Studio Express
  • System Configuration Tool (SCT)
  • Metasys Export Utility
  • Metasys Database Manager
  • Site Management Portal (SMP)
    Note: An NAE85 upgrade installation needs a license for SMP at Release 12.0

There are additional software prerequisites and guidelines:

  • At Release 12.0, the Metasys UI is the primary UI and SMP is the secondary UI for upgraded devices with an SMP license.
    Note: Metasys UI is not available on NAE85s at Release 11.0 and earlier.
  • For information about how to configure the Windows Firewall on a computer with the NAE85 software, see Configuring the Windows firewall.